Bio::DB::GFF::Aggregator::orf(3)

NAME
Bio::DB::GFF::Aggregator::orf -- An aggregator for orf regions

SYNOPSIS
  use Bio::DB::GFF;

  # Open the sequence database
  my $db      = Bio::DB::GFF->new( -adaptor => 'dbi:mysql',
                                   -dsn     => 'dbi:mysql:elegans42',
                                   -aggregator => ['orf','clone'],
                                 );

 ---------------------------
 Aggregator method: orf
 Main method:       -none-
 Sub methods:       ORF
 ---------------------------

DESCRIPTION
Bio::DB::GFF::Aggregator::orf was written to work with the "cds" glyph. GFF files. It aggregates raw "ORF" features into "coding" features. This is basically identical to the "coding" aggregator, except that it looks for features of type "ORF" rather than "cds".

  method
 Title   : method
 Usage   : $aggregator->method
 Function: return the method for the composite object
 Returns : the string "orf"
 Args    : none
 Status  : Public

  part_names
 Title   : part_names
 Usage   : $aggregator->part_names
 Function: return the methods for the sub-parts
 Returns : the list "CDS"
 Args    : none
 Status  : Public

BUGS
None reported.

SEE ALSO
Bio::DB::GFF, Bio::DB::GFF::coding, Bio::DB::GFF::Aggregator, Bio::Graphics::Glyph::cds

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.